# Colysis
A simple game engine written in C++ and using SFML.

## Building
To build the project, you need to have [CMake](https://cmake.org/) installed.

### Linux
```bash
mkdir build
cd build
cmake ..
make
```

### Windows
```bash
mkdir build
cd build
cmake -G "Visual Studio 17 2022" ..
cmake --build . --config Release
```

### macOS
```bash
mkdir build
cd build
cmake -G "Xcode" ..
cmake --build . --config Release
```

## Running
After building, you can run the game by executing the `colysis` executable.

## License
The game "colysis" will not be open source, but the engine will be licensed under the [MIT license](alyson/LICENSE) as soon as it is finished.
