﻿#pragma once
#include <SFML/Graphics.hpp>

class TileAtlas : public sf::Drawable
{
	sf::Vector2u tile_size;
	sf::Vector2u tile_count;
	sf::Texture texture;
	sf::Sprite sprite;
public:
	explicit TileAtlas(sf::Vector2u tile_size, sf::Vector2u tile_count, const std::filesystem::path& path);
	TileAtlas(sf::Vector2u tile_size, sf::Vector2u tile_count);

	void load(const std::filesystem::path& path);

	static TileAtlas defaultAtlas();

	void set(uint32_t, uint32_t);

	void draw(sf::RenderTarget& target, sf::RenderStates states) const override;
};